%global momorel 1
%global md5sum_src0 7ec92f2ecba1309ac4b71b4b4d8d0a0d

Summary: Desktop presence library
Name: libgalago
Version: 0.5.2
Release: %{momorel}m%{?dist}
URL: http://www.galago-project.org/specs/notification/
%NoSource 0 http://www.galago-project.org/files/releases/source/%{name}/%{name}-%{version}.tar.gz %{md5sum_src0}
License: LGPL
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: glib2-devel >= 2.12.1
BuildPreReq: dbus-devel >= 0.92
BuildPrereq: dbus-glib-devel >= 0.71

%description
Desktop presence library

%package devel
Summary:        Files for development using %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
This package contains the headers and pkg-config file for
development of programs using %{name}.

%prep
%setup -q

%build

%configure
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install mkinstalldirs=../mkinstalldirs
find %{buildroot} -name "*.la" -delete
%find_lang %{name}

%clean
rm -rf --preserve-root %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/libgalago.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/%{name}
%{_libdir}/pkgconfig/libgalago.pc
%{_libdir}/libgalago.so
%{_libdir}/libgalago.a
%{_datadir}/autopackage/skeletons/@galago.info/libgalago/skeleton.1

%changelog
* Mon Feb 26 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.2-1m)
- update to 0.5.2

* Sun Sep  3 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.1-1m)
- initila build
